using Microsoft.AspNetCore.Http;
using Volo.Abp.Users;

namespace Yi.Framework.AiHub.Domain.Extensions;

public static class CurrentExtensions
{
    public static bool IsAiVip(this ICurrentUser currentUser)
    {
        return currentUser.Roles.Contains("YiXinAi-Vip") || currentUser.UserName == "cc";
    }
}